class Hermes::Api::Dmo::ActivityNotification::NotificationsController < ::ActivityNotification::NotificationsApiController
  protected

  def build_notifications
    @notifications.map do |notification|
      notification['title'] = t("#{notification['key']}.title", title: notification['notifiable_id'])
      notification['body'] = t("#{notification['key']}.body")
      notification
    end
  end

  # Returns options for notification JSON
  # @api protected
  def notification_json_options
    build_notifications
    {}
  end

  # Returns JSON of @notification
  # @api protected
  def notification_json
    @notification.as_json.merge({
      title: t("#{@notification.key}.title", title: @notification.notifiable.id),
      body: t("#{@notification.key}.body")
    })
  end
end